/**
 * @usedBy PoPageDynamicEditComponent
 *
 * @description
 *
 * Interface para definição das literais usadas no `po-page-dynamic-edit`.
 */
export interface PoPageDynamicEditLiterals {
    /**
     * @description
     *
     * Texto exibido na mensagem de cancelamento da inclusão/edição.
     */
    cancelConfirmMessage?: string;
    /**
     * @description
     *
     * Rótulo exibido no botão `Novo`.
     */
    detailActionNew?: string;
    /**
     * @description
     *
     * Rótulo exibido no botão `Cancelar`.
     */
    pageActionCancel?: string;
    /**
     * @description
     *
     * Rótulo exibido no botão `Salvar`.
     */
    pageActionSave?: string;
    /**
     * @description
     *
     * Rótulo exibido no botão `Salvar e novo`.
     */
    pageActionSaveNew?: string;
    /**
     * @description
     *
     * Texto exibido para resgistro não encontrado.
     */
    registerNotFound?: string;
    /**
     * @description
     *
     * Texto exibido para ocorrência de alguma inconsistência ao salvar.
     */
    saveNotificationError?: string;
    /**
     * @description
     *
     * Texto exibido para recurso salvo com sucesso.
     */
    saveNotificationSuccessSave?: string;
    /**
     * @description
     *
     * Texto exibido para recurso atualizado com sucesso.
     */
    saveNotificationSuccessUpdate?: string;
    /**
     * @description
     *
     * Texto exibido para adivertência de formulário preenchido de forma incorreta.
     */
    saveNotificationWarning?: string;
}
