import { AfterViewInit, ChangeDetectorRef, OnChanges, OnDestroy, OnInit, SimpleChanges } from '@angular/core';
import { PoDisclaimerGroup, PoLanguageService, PoPageFilter, PoPageListComponent, PoThemeService } from '@po-ui/ng-components';
import { PoPageCustomizationService } from '../../services/po-page-customization/po-page-customization.service';
import { PoPageDynamicSearchFilters } from './interfaces/po-page-dynamic-search-filters.interface';
import { PoAdvancedFilterComponent } from './po-advanced-filter/po-advanced-filter.component';
import { PoPageDynamicSearchBaseComponent } from './po-page-dynamic-search-base.component';
import * as i0 from "@angular/core";
/**
 * @docsExtends PoPageDynamicSearchBaseComponent
 *
 * @example
 *
 * <example name="po-page-dynamic-search-basic" title="PO Page Dynamic Search Basic">
 *  <file name="sample-po-page-dynamic-search-basic/sample-po-page-dynamic-search-basic.component.html"> </file>
 *  <file name="sample-po-page-dynamic-search-basic/sample-po-page-dynamic-search-basic.component.ts"> </file>
 * </example>
 *
 * <example name="po-page-dynamic-search-hiring-processes" title="PO Page Dynamic Search - Hiring processes">
 *  <file name="sample-po-page-dynamic-search-hiring-processes/sample-po-page-dynamic-search-hiring-processes.component.html"> </file>
 *  <file name="sample-po-page-dynamic-search-hiring-processes/sample-po-page-dynamic-search-hiring-processes.component.ts"> </file>
 *  <file name="sample-po-page-dynamic-search-hiring-processes/sample-po-page-dynamic-search-hiring-processes.service.ts"> </file>
 * </example>
 */
export declare class PoPageDynamicSearchComponent extends PoPageDynamicSearchBaseComponent implements OnInit, OnDestroy, AfterViewInit, OnChanges {
    private languageService;
    private poPageCustomizationService;
    private changeDetector;
    protected poThemeService: PoThemeService;
    poAdvancedFilter: PoAdvancedFilterComponent;
    poPageList: PoPageListComponent;
    private loadSubscription;
    private readonly _disclaimerGroup;
    private readonly _filterSettings;
    constructor(languageService: PoLanguageService, poPageCustomizationService: PoPageCustomizationService, changeDetector: ChangeDetectorRef, poThemeService: PoThemeService);
    get disclaimerGroup(): PoDisclaimerGroup & {
        title: string;
        hideRemoveAll: boolean;
    };
    get filterSettings(): PoPageFilter & {
        placeholder: string;
        width: number;
    };
    ngOnInit(): void;
    ngOnDestroy(): void;
    ngAfterViewInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    onChangeFilters(filters: Array<PoPageDynamicSearchFilters>): void;
    onAction(quickFilter: string, quickSearchValue?: boolean): void;
    onAdvancedAction(): void;
    onAdvancedSearch(filteredItems: any, isAdvancedSearch?: any): void;
    private getDisclaimersWithoutQuickSearch;
    private setFilters;
    private convertToFilters;
    private optionsServiceDisclaimerLabel;
    private applyDisclaimerLabelValue;
    private formatDate;
    private formatArrayToObjectKeyValue;
    private formatValueToCurrency;
    private getFieldByProperty;
    private getFilterValueToDisclaimer;
    private emitChangesDisclaimers;
    private onRemoveAllDisclaimers;
    private onRemoveDisclaimer;
    private getFixedFiltersDisclaimers;
    private setDisclaimers;
    private loadOptionsOnInitialize;
    private getPoDynamicPageOptions;
    static ɵfac: i0.ɵɵFactoryDeclaration<PoPageDynamicSearchComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PoPageDynamicSearchComponent, "po-page-dynamic-search", never, {}, {}, never, ["*"], false, never>;
}
