import { TemplateRef } from '@angular/core';
import * as i0 from "@angular/core";
/**
 * @usedBy PoPageJobScheduler
 *
 * @description
 *
 * Esta diretiva permite personalizar o conteúdo de resumo das informações de parâmetro na etapa de conclusão do componente de PoPageJobScheduler.
 *
 * Essa funcionalidade costuma ser útil em casos onde a propriedade parameters não tem valor e mesmo assim é necessário exibir
 * as informações de resumo na etapa de conclusão.
 *
 * ```
 * ...
 *   <po-page-job-scheduler [p-service-api]="serviceApi">
 *    <ng-template p-job-scheduler-summary-template>
 *    ...
 *     <po-dynamic-view
 *       [p-fields]="fieldsSummary"
 *       [p-value]="valueSummary"
 *     >
 *     </po-dynamic-view
 *    </ng-template>
 *   </po-page-job-scheduler>
 * ...
 * ```
 *
 */
export declare class PoJobSchedulerSummaryTemplateDirective {
    templateRef: TemplateRef<any>;
    constructor(templateRef: TemplateRef<any>);
    static ɵfac: i0.ɵɵFactoryDeclaration<PoJobSchedulerSummaryTemplateDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<PoJobSchedulerSummaryTemplateDirective, "[p-job-scheduler-summary-template]", never, {}, {}, never, never, false, never>;
}
